%global realname protobuffs
%global upstream basho
%global debug_package %{nil}
%global git_tag 4fbc5f6
%global patchnumber 0


Name:		erlang-%{realname}
Version:	0.7.0
Release:	1%{?dist}
Summary:	A set of Protocol Buffers tools and modules for Erlang applications
Group:		Development/Libraries
License:	MIT
URL:		http://github.com/ngerakines/erlang_protobuffs
# wget --content-disposition https://github.com/basho/erlang_protobuffs/tarball/0.7.0
Source0:	%{upstream}-erlang_%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-meck
BuildRequires:	erlang-rebar
Requires:	erlang-compiler%{?_isa}
# Error:erlang(lists:keyfind/3) in R12B and below
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-kernel%{?_isa}
# Error:erlang(erl_scan:token_info/2) in R12B and below
# Error:erlang(io_lib:write_unicode_string/1) in R12B and below
# Error:erlang(unicode:characters_to_binary/1) in R12B and below
Requires:	erlang-stdlib%{?_isa} >= R13B
Requires:	erlang-syntax_tools%{?_isa}


%description
A set of Protocol Buffers tools and modules for Erlang applications.


%prep
%setup -q -n %{upstream}-erlang_%{realname}-46650bb
sed -i -e "/{meck/d" rebar.config


%build
rebar compile -v


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/pokemon_pb.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/%{realname}.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/%{realname}_compile.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/%{realname}_file.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/%{realname}_parser.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/%{realname}_scanner.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
# Install Erlang protobuf compiler script
install -D -p -m 755 bin/protoc-erl $RPM_BUILD_ROOT%{_bindir}/protoc-erl


%clean
rm -rf $RPM_BUILD_ROOT


%check
rebar eunit -v
rebar ct -v


%files
%doc AUTHORS README.markdown
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%{_bindir}/protoc-erl
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/pokemon_pb.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_compile.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_file.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_parser.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_scanner.beam


%changelog
* Wed Sep 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.7.0-1
- Upstream is switched to Basho
- Ver. 0.7.0
- Dropped all Basho's patches

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20100930git58ff962
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20100930git58ff962
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Mar 11 2011 Peter Lemenkov <lemenkov@gmail.com> -  0-0.4.20100930git58ff962
- Added three patches from Basho's fork (required for riak_client)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20100930git58ff962
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct  5 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.2.20100930git58ff962
- Fixed License tag

* Thu Sep 30 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.20100930git58ff962
- Initial package
